| base-4.1.0.0: Basic libraries | Source code | Contents | Index

System.Info

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org

Description
Information about the characteristics of the host system lucky enough to run your program.
Synopsis

os :: String
arch :: String
compilerName :: String
compilerVersion :: Version

Documentation

os :: String | Source

The operating system on which the program is running.

arch :: String | Source

The machine architecture on which the program is running.

compilerName :: String | Source

The Haskell implementation with which the program was compiled or is being interpreted.

compilerVersion :: Version | Source

The version of `compilerName` with which the program was compiled or is being interpreted.
Produced by Haddock version 2.4.2